#
# Copyright (C) 1998 by the Board of Trustees
#    of Leland Stanford Junior University.
# Copyright (C) 1998 Digital Equipment Corporation
#
# This file is part of the SimOS distribution.
# See LICENSE file for terms of the license.
#



FileSourced "osf/osfpal.tcl"


set PALENTRY(0x4001)  TRAP_RESET
set PALENTRY(0x4401)  TRAP_MCHK
set PALENTRY(0x4501)  TRAP_ARITH
set PALENTRY(0x4101)  TRAP_INTERRUPT
set PALENTRY(0x4201)  TRAP_NDTB_MISS
set PALENTRY(0x4281)  TRAP_PDTB_MISS
set PALENTRY(0x4301)  TRAP_UNALIGN
set PALENTRY(0x4381)  TRAP_DTB_FAULT
set PALENTRY(0x4181)  TRAP_ITB_MISS
set PALENTRY(0x4081)  TRAP_ITB_ACV
set PALENTRY(0x4481)  TRAP_OPDEC
set PALENTRY(0x4581)  TRAP_FEN

set PALENTRY(0x6001)  TRAP_PAL
set PALENTRY(0x6041) "callpal_cflush"
set PALENTRY(0x6081) "callpal_draina"

set PALENTRY(0x6241) "callpal_cserve"

set PALENTRY(0x6341) "callpal_wrpir"

set PALENTRY(0x6401) "callpal_rdmces"
set PALENTRY(0x6441) "callpal_wrmces"

set PALENTRY(0x6ac1) "callpal_wrfen"

set PALENTRY(0x6b41) "callpal_wrvptptr"

set PALENTRY(0x6c01) "callpal_swpctx"
set PALENTRY(0x6c41) "callpal_wrval"
set PALENTRY(0x6c81) "callpal_rdval"
set PALENTRY(0x6cc1) "callpal_tbi"

set PALENTRY(0x6d01) "callpal_wrent"
set PALENTRY(0x6d41) "callpal_swpipl"
set PALENTRY(0x6d81) "callpal_rdps"
set PALENTRY(0x6dc1) "callpal_wrkgp"

set PALENTRY(0x6e01) "callpal_wrusp"
set PALENTRY(0x6e41) "callpal_wrperfmon"
set PALENTRY(0x6e81) "callpal_rdusp"
set PALENTRY(0x6ec1) "callpal_wrperfmon"

set PALENTRY(0x6f01) "callpal_whami"
set PALENTRY(0x6f41) "callpal_retsys"
set PALENTRY(0x6fc1) "callpal_rti"

set PALENTRY(0x70c1) "callpal_callsys"
set PALENTRY(0x7181) "callpal_imb"
set PALENTRY(0x7781) "callpal_rdunique"
set PALENTRY(0x77c1) "callpal_wrunique"

