/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/*
 * simcontrol.h -- internal header for simcontrol module
 */

#ifndef SIMCNTRL_H
#define SIMCNTRL_H



void Visual_Init(void);

int VisualGetContext(void);
int VisualSetContext(int context, int *old);
void VisualPushString(char *string);
int VisualGetStream(char *name);
#endif
