/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */


#ifndef _SYM_H_
#define _SYM_H_

#include "tcl_init.h"

#define SYM_OK     0
#define SYM_ERROR  1

int SymInt(Tcl_Interp *interp, char *symexpr, uint64 *val);

void SymReportError(char *first, ...);

#endif
