/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/*****************************************************************
 * firewallhack.h - Hacked up interface to configure flashlite firewall
 *         for testing. This will be replaced by PPCs.
 *
 *****************************************************************/

#ifndef FLASH_FIREWALLHACK_H
#define FLASH_FIREWALLHACK_H


extern void FlashliteFirewallInit(void);
extern int FlashliteDownloadFirewall(void);
extern void FlashliteSetPageProt(int cell,unsigned int paddr, int rights);



#endif









