/*
 * Copyright (C) 1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * Copyright (C) 1998 Digital Equipment Corporation
 *
 * This file is part of the SimOS distribution.
 * See LICENSE file for terms of the license.
 *
 */

/* 
 * definitions required for opcodes/funs new to EV56, etc.
 */

/* New flti_group fun codes: */
#define opc14_sqrttc	0x02b
#define opc14_sqrttm	0x06b
#define opc14_sqrtt	0x0ab
#define opc14_sqrttd	0x0eb
#define opc14_sqrttuc	0x12b
#define opc14_sqrttum	0x16b
#define opc14_sqrttu	0x1ab
#define opc14_sqrttud	0x1eb
#define opc14_sqrttsuc	0x52b
#define opc14_sqrttsum	0x56b
#define opc14_sqrttsu	0x5ab
#define opc14_sqrttsud	0x5eb
#define opc14_sqrttsuic	0x72b
#define opc14_sqrttsuim	0x76b
#define opc14_sqrttsui	0x7ab
#define opc14_sqrttsuid	0x7eb

#define opc14_sqrtsc	0x00b
#define opc14_sqrtsm	0x04b
#define opc14_sqrts	0x08b
#define opc14_sqrtsd	0x0cb
#define opc14_sqrtsuc	0x10b
#define opc14_sqrtsum	0x14b
#define opc14_sqrtsu	0x18b
#define opc14_sqrtsud	0x1cb
#define opc14_sqrtssuc	0x50b
#define opc14_sqrtssum	0x54b
#define opc14_sqrtssu	0x58b
#define opc14_sqrtssud	0x5cb
#define opc14_sqrtssuic	0x70b
#define opc14_sqrtssuim	0x74b
#define opc14_sqrtssui	0x78b
#define opc14_sqrtssuid	0x7cb

#define opc14_itofs 0x04
#define opc14_itoff 0x14 
#define opc14_itoft 0x24 
