/*
 * Copyright (C) 1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * Copyright (C) 1998 Digital Equipment Corporation
 *
 * This file is part of the SimOS distribution.
 * See LICENSE file for terms of the license.
 *
 */



#ifndef _ALPHA_REGS_H
#define _ALPHA_REGS_H
enum reg_names { REG_V0=0, REG_T0,REG_T1,REG_T2,
		 /* 4 */
                 REG_T3,REG_T4,REG_T5,REG_T6,
		 /* 8 */
                 REG_T7,REG_S0,REG_S1,REG_S2,
                 /* 12 */
		 REG_S3,REG_S4,REG_S5,REG_S6,
		 REG_A0,REG_A1,REG_A2,REG_A3,
		 REG_A4,REG_A5, REG_T8,REG_T9,
		 /* 24 */
		 REG_T10,REG_T11,REG_RA,REG_PV,
		 /* 28 */
		 REG_AT, REG_GP, REG_SP, REG_ZERO
};

#ifdef SOLO
#define zero REG_ZERO
#endif

#ifndef intl_amask
#define intl_amask      0x61
#endif

#ifndef intl_implver
#define intl_implver    0x6c
#endif

#endif
