/*
 * Copyright (C) 1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * Copyright (C) 1998 Digital Equipment Corporation
 *
 * This file is part of the SimOS distribution.
 * See LICENSE file for terms of the license.
 *
 */

/*
 * Copyright (C) 1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/****************************************************************
 * print_insts.h
 * 
 * $Author: nikos $
 * $Date: 1998/02/16 23:19:46 $
 *****************************************************************/

/* Undefine this when you want this feature compiled in */

#ifndef PRINT_INSTRUCTIONS
#define PRINT_INSTRUCTIONS 
#endif

#ifndef _PRINT_INSTS_H
#define _PRINT_INSTS_H

extern void PrintInstsInit(Tcl_Interp *);
extern int  PrintInstTclCmd(ClientData clientData, Tcl_Interp *interp, int argc, char *argv[]);
extern void PrintInstruction(AlphaState *, Inst);

extern char printInstMask[SIM_MAXCPUS];
extern int printInstSkipMask;


#ifdef PRINT_INSTRUCTIONS
# define PRINT_INSTRUCTION(_p,_i) {if (printInstMask[_p->myNum]) \
                              PrintInstruction(_p,_i); }
#else     
# define PRINT_INSTRUCTION(_i) {}
#endif /* PRINT_INSTRUCTIONS */

#endif /* _PRINT_INSTS_H */




