/*
 * Copyright (C) 1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * Copyright (C) 1998 Digital Equipment Corporation
 *
 * This file is part of the SimOS distribution.
 * See LICENSE file for terms of the license.
 *
 */



#ifndef TRANSLATOR_H
#define TRANSLATOR_H

#include "decoder.h"

extern TCA  Translate(int cpuNum, VA vPC, PA pPC, MA mAddr,QCTable*);
extern void PrintBasicBlock(BasicBlock *bb, TCA tcaStart);
extern TCA PatchBranch(VA prevPC, VA pc, TCA chainAddr, TCA targetAddr);
extern TCA PatchSpeculative(TCA chainAddr,TCA targetAddr);


#endif

