/*
 * Copyright (C) 1996 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/****************************************************************
 * opcodes.h
 * 
 * $Author: nikos $
 * $Date: 1998/02/16 23:19:29 $
 *****************************************************************/

#include "simtypes.h"
#include "cpu_state.h"


typedef Result (*OpcodeFPtr)(Inst, CPUState *);

typedef struct op_desc {
  char       *opname;
  OpcodeFPtr func;
  uint       num;
} MipsOpcodeDesc;

extern MipsOpcodeDesc mipsOpcodes[];

