/*
 * Copyright (C) 1996 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/****************************************************************
 * print_insts.h
 * 
 * $Author: nikos $
 * $Date: 1998/02/16 23:19:30 $
 *****************************************************************/

#ifndef _PRINT_INSTS_H
#define _PRINT_INSTS_H

extern void PrintInstsInit(void);
extern int  PrintInstTclCmd(ClientData clientData, Tcl_Interp *interp, 
                            int argc, char *argv[]);
extern void PrintInstruction(Inst, int);

extern char printInstMask[SIM_MAXCPUS];
extern int  printInstSkipMask;

#ifdef PRINT_INSTRUCTIONS
# define PRINT_INSTRUCTION(_i) \
{if ((printInstMask[P->myNum]) \
     && (!(STATS_VALUE(P->myNum, numInstructions) & printInstSkipMask))) { \
    PrintInstruction(_i,P->myNum); }}
#else     
# define PRINT_INSTRUCTION(_i) {}
#endif /* PRINT_INSTRUCTIONS */

#endif /* _PRINT_INSTS_H */


