/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

/*****************************************************************
 * $File$
 *
 * $Author: nikos $
 * $Date: 1998/02/16 23:19:37 $
 ****************************************************************/
#ifndef _STARTUP_H
#define _STARTUP_H

#include "cpu_state.h"

extern int hostCPUIdleStats[];
extern char *MemFileDir;

extern CPUState* SBase;

extern CPUType simosCPUType;

extern int inCellMode;    /* True if using cells (implies only 1 machine) */

extern SimTime startingCycle[];

int MakeFile(char *directoryname, char *filename, int length, int unlinkit);


#endif /* _STARTUP_H */
