/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */

#include <asm.h>
#include <sys/regdef.h>

/*
 *	Object:
 *		double sqrt(double x)
 *
 *       Return the square root of the argument. This is needed because
 *       simos doesn't like linking with libm
 *
 */
LEAF(sqrt)
	sqrt.d $f0,$f12
	j ra
	END(sqrt)

