/*
 * Copyright (C) 1996-1998 by the Board of Trustees
 *    of Leland Stanford Junior University.
 * 
 * This file is part of the SimOS distribution. 
 * See LICENSE file for terms of the license. 
 *
 */


/* **************************************************************************
 * cluster.h
 * Simulation of a cluster of workstations
 * **************************************************************************/



void ClusterInit(void);
void ClusterClose(void);

void ClusterSetEtherAddr(char *addr, int if_num);
int  ClusterSendPacket(int cpuNum,struct iovec *iovec,int io_len);
int  ClusterCheckpoint(void);



